summaryrefslogtreecommitdiff
path: root/tests/mv/childproof
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mv/childproof')
-rwxr-xr-xtests/mv/childproof4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/mv/childproof b/tests/mv/childproof
index b6101d36e..41cdfce18 100755
--- a/tests/mv/childproof
+++ b/tests/mv/childproof
@@ -2,7 +2,7 @@
# Ensure that cp/mv don't clobber a just-copied file.
# With fileutils-4.1 and earlier, this test would fail.
-# Copyright (C) 2001, 2004 Free Software Foundation, Inc.
+# Copyright (C) 2001, 2004, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -31,7 +31,7 @@ PRIV_CHECK_ARG=require-non-root . $srcdir/../priv-check
pwd=`pwd`
tmp=childproof.$$
-trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
framework_failure=0